RDKit: RDKit::MolDrawOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::MolDrawOptions Struct Reference

`#include <MolDraw2D.h>`

## Public Member Functions
| MolDrawOptions ()

## Public Attributes
bool | dummiesAreAttachments
bool | circleAtoms
DrawColour | highlightColour
bool | continuousHighlight
int | flagCloseContactsDist
bool | includeAtomTags
bool | clearBackground
DrawColour | backgroundColour
int | legendFontSize
DrawColour | legendColour
double | multipleBondOffset
std::map< int, std::string > | atomLabels
std::vector< std::vector< int > > | atomRegions

## Detailed Description

Definition at line 40 of file MolDraw2D.h.

## Constructor & Destructor Documentation

RDKit::MolDrawOptions::MolDrawOptions | ( |  | ) |
| inline

Definition at line 62 of file MolDraw2D.h.

## Member Data Documentation

std::map<int, std::string> RDKit::MolDrawOptions::atomLabels

Definition at line 59 of file MolDraw2D.h.

std::vector<std::vector<int> > RDKit::MolDrawOptions::atomRegions

Definition at line 60 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::backgroundColour

Definition at line 53 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::clearDrawing().

bool RDKit::MolDrawOptions::circleAtoms

Definition at line 42 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::clearBackground

Definition at line 50 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::continuousHighlight

Definition at line 44 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::dummiesAreAttachments

Definition at line 41 of file MolDraw2D.h.

int RDKit::MolDrawOptions::flagCloseContactsDist

Definition at line 46 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::highlightColour

Definition at line 43 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::includeAtomTags

Definition at line 48 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::legendColour

Definition at line 56 of file MolDraw2D.h.

int RDKit::MolDrawOptions::legendFontSize

Definition at line 54 of file MolDraw2D.h.

double RDKit::MolDrawOptions::multipleBondOffset

Definition at line 57 of file MolDraw2D.h.

The documentation for this struct was generated from the following file:

- MolDraw2D.h